# $Revision: 1.12 $, $Date: 2011/12/01 08:00:56 $
#
# Conditional build:
%if "%{pld_release}" == "ac"
%bcond_with	glibc24		# build for older glibc
%else
%bcond_without	glibc24		# build for older glibc
%endif

Summary:	Linux Key Management Utilities
Summary(pl.UTF-8):	Narzędzia do linuksowego zarządzania kluczami
Name:		keyutils
Version:	1.5.5
Release:	1
License:	LGPL v2+ (library), GPL v2+ (utility)
Group:		Base
Source0:	http://people.redhat.com/~dhowells/keyutils/%{name}-%{version}.tar.bz2
# Source0-md5:	9e8ab5164bc8f84be148761cc89e9d6f
BuildRequires:	rpmbuild(macros) >= 1.402
%{!?with_glibc24:BuildRequires:	glibc-devel >= 6:2.4}
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Utilities to control the kernel key management facility and to provide
a mechanism by which the kernel call back to userspace to get a key
instantiated.

%description -l pl.UTF-8
Narzędzia sterujące zarządzaniem kluczami w jądrze i dostarczające
mechanizm, przez który jądro odwołuje się do przestrzeni użytkownika w
celu pobrania instancji klucza.

%package libs
Summary:	Key utilities library
Summary(pl.UTF-8):	Biblioteka narzędzi do zarządzania kluczami
License:	LGPL v2+
Group:		Libraries
%{?with_glibc24:Requires:	glibc >= 6:2.4}

%description libs
This package provides a wrapper library for the key management
facility system calls.

%description libs -l pl.UTF-8
Ten pakiet zawiera bibliotekę obudowującą wywołania systemowe do
zarządzania kluczami.

%package devel
Summary:	Development package for building Linux key management utilities
Summary(pl.UTF-8):	Pakiet programistyczny do tworzenia narzędzi zarządzających linuksowymi kluczami
License:	LGPL v2+
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
This package provides the header files for building key utilities.

%description devel -l pl.UTF-8
Ten pakiet udostępnia pliki nagłówkowe do tworzenia narzędzi
zarządzających kluczami.

%package static
Summary:	Static Linux key management library
Summary(pl.UTF-8):	Statyczna biblioteka do zarządzania linuksowymi kluczami
License:	LGPL v2+
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static linux key management library.

%description static -l pl.UTF-8
Statyczna biblioteka do zarządzania linuksowymi kluczami.

%prep
%setup -q

%build
%{__make} -j1 \
	CC="%{__cc}" \
	LIBDIR=/%{_lib} \
	USRLIBDIR=%{_libdir} \
%if %{without glibc24}
	NO_GLIBC_KEYERR=1 \
%endif
	CFLAGS="-Wall %{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	LIBDIR=/%{_lib} \
	USRLIBDIR=%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) /bin/keyctl
%attr(755,root,root) /sbin/key.dns_resolver
%attr(755,root,root) /sbin/request-key
%dir %{_datadir}/keyutils
%attr(755,root,root) %{_datadir}/keyutils/*.sh
%{_mandir}/man1/keyctl.1*
%{_mandir}/man5/request-key.conf.5*
%{_mandir}/man8/key.dns_resolver.8*
%{_mandir}/man8/request-key.8*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/request-key.conf

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libkeyutils.so.*.*
%attr(755,root,root) %ghost /%{_lib}/libkeyutils.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkeyutils.so
%{_includedir}/keyutils.h
%{_mandir}/man3/keyctl_*.3*
%{_mandir}/man3/recursive_key_scan.3*
%{_mandir}/man3/recursive_session_key_scan.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libkeyutils.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: keyutils.spec,v $
Revision 1.12  2011/12/01 08:00:56  arekm
- up to 1.5.5

Revision 1.11  2011/09/11 09:23:03  qboosh
- updated to 1.5.3

Revision 1.10  2011/07/28 18:07:04  qboosh
- updated to 1.5.2

Revision 1.9  2011/07/22 17:38:49  qboosh
- updated to 1.5.1

Revision 1.8  2010/11/07 20:49:54  arekm
- release 3

Revision 1.7  2010/08/22 11:03:26  glen
- release 2

Revision 1.6  2010/08/22 09:22:58  glen
- glibc24 bcond to build on ac

Revision 1.5  2010/05/10 07:42:54  qboosh
- updated to 1.4

Revision 1.4  2008/02/13 20:13:34  glen
- require build macros for man symlinks convert

Revision 1.3  2007-10-03 19:15:02  arekm
- rel 2

Revision 1.2  2007/09/01 20:18:10  qboosh
- pl
- more verbose files, ghost for soname symlink
- dropped NO_GLIBC_KEYERR, require glibc 2.4 instead
- internal deps

Revision 1.1  2007/08/31 08:14:53  arekm
- initial
